Bug 21041 - Printtool won't set up network printer
Printtool won't set up network printer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-17 19:56 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 09:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-17 19:56:03 EST
I use printtool to set up to a Laserjet 4000 which has ethernet interface
and currently assigned IP address of 131.120.179.37.  When I close out of
printtool, I get the following fragment in /etc/printcap.  If I understand
what's going on, I _should_ be getting the IP address in the lp= line
instead of /dev/null.  

The symptoms I get are consistent with files getting sent to /dev/null --
lp says it sent the job and there's nothing in the queue.

##PRINTTOOL3## DIRECT laserjet 300x300 letter {} LaserJet Default 1
lp:\
	:sd=/var/spool/lpd/lp:\
	:mx#0:\
	:if=/var/spool/lpd/lp/filter:\
	:af=/var/spool/lpd/lp/acct:\
	:lp=/dev/null:\
	:sh:

Printtool v.3.54 as bundled in RH7.0.  Installed on i696 laptop.  Ethernet
works fine (using it to submit this).
Comment 1 Crutcher Dunnavant 2001-04-12 15:46:02 EDT
well, you see, the filter is actuall supposed to do delivery in this case, so
any out put from the filter is going bye-bye.

can you check to see if the file:

	/usr/lib/rhs/rhs-printfilters/directprint

exists? Its the bit that is supposed to do jet direct printing.

also, try setting it up as an lpd spool with that IP, the printer may support it.
Comment 2 Tim Waugh 2002-01-10 08:44:38 EST
Is this bug still current?
Comment 3 Tim Waugh 2003-11-05 09:29:32 EST
No response; closing.

Note You need to log in before you can comment on or make changes to this bug.